<?php
/**
 * The template part for displaying image post
 *
 * @package multipurpose blog 
 * @subpackage multipurpose_blog
 * @since 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="box-image">
    <?php 
      if(has_post_thumbnail()) { 
        the_post_thumbnail(); 
      }
    ?>
  </div>
  <h2 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
  <?php if( get_theme_mod( 'multipurpose_blog_metafields_date',true) != '' || get_theme_mod( 'multipurpose_blog_metafields_author',true) != '' || get_theme_mod( 'multipurpose_blog_metafields_comment',true) != '' || get_theme_mod( 'multipurpose_blog_single_post_time',true) != '') { ?>
    <div class="metabox mb-3">
      <?php if( get_theme_mod( 'multipurpose_blog_metafields_date',true) != '') { ?>
        <span class="entry-date me-3"><i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_post_date_icon','far fa-calendar-alt')); ?> me-2"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('multipurpose_blog_single_post_meta_seperator') ); ?>
      <?php }?>
      <?php if( get_theme_mod( 'multipurpose_blog_metafields_author',true) != '') { ?>
        <span class="entry-author me-3"><i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_post_author_icon','fas fa-user')); ?> me-2"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></span><?php echo esc_html( get_theme_mod('multipurpose_blog_single_post_meta_seperator') ); ?>
      <?php }?>
      <?php if( get_theme_mod( 'multipurpose_blog_metafields_comment',true) != '') { ?>
        <i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_post_comment_icon','fas fa-comments')); ?> me-2"></i><span class="entry-comments me-3"> <?php comments_number( __('0 Comment', 'multipurpose-blog'), __('0 Comments', 'multipurpose-blog'), __('% Comments', 'multipurpose-blog') ); ?></span>
      <?php }?>
      <?php if( get_theme_mod( 'multipurpose_blog_single_post_time',false) != '' ) { ?>
          <?php echo esc_html( get_theme_mod('multipurpose_blog_blog_post_meta_seperator') ); ?><span class="entry-time me-3"><i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_single_post_time_icon','fas fa-clock')); ?> me-2"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
    </div>
  <?php }?>
  <div class="new-text">
    <?php $multipurpose_blog_theme_lay = get_theme_mod( 'multipurpose_blog_content_settings','Excerpt');
    if($multipurpose_blog_theme_lay == 'Content'){ ?>
      <?php the_content(); ?>
    <?php }
    if($multipurpose_blog_theme_lay == 'Excerpt'){ ?>
      <?php if(get_the_excerpt()) { ?>
        <p><?php $multipurpose_blog_excerpt = get_the_excerpt(); echo esc_html( multipurpose_blog_string_limit_words( $multipurpose_blog_excerpt, esc_attr(get_theme_mod('multipurpose_blog_post_excerpt_number','30')))); ?><?php echo esc_html( get_theme_mod('multipurpose_blog_post_discription_suffix','[...]') ); ?></p>
      <?php }?>
    <?php }?>
  </div>  
  <div class="cat-box mt-3">
    <i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_category_icon','fas fa-folder-open')); ?> me-2"></i><?php the_category(); ?>
  </div>
  <div class="clearfix"></div>
</article>